Subject: Re: bug#3977: 23.1.50; Tramp slows down Emacs

From: Michael Albinus <[email-masked]>
Date: Tue, 04 Aug 2009 05:41:57 +0200

Torsten Bronger <[email-masked]> writes:

> Hallöchen!

Hi,

>> Honestly, I cannot reproduce the effect. How do you start Emacs
>> through the tunnel? I have done it via
>>
>> ssh -X otherhost /usr/local/src/emacs/src/emacs -Q
>
> This is equivalent to my test.
>
> And then, I say "M-x customize-group RET RET" and have 4 TCP packets
> per second (maybe cursor blinking).  If I start the above command
> again and say "M-x customize-group RET tramp RET", I have 60 packets
> per second.

I'm still checking what happens. In the meantime, I've fixed the problem
in loading tramp-gvfs. Maybe this is related to your problem, because
dbus.el could try to send messages, which fails. Could you, please,
check, whether it changes your situation?

I'll continue to investigate, whether I can find something else.

> Tschö,
> Torsten.

Best regards, Michael.